Bug 270739 - Dolphin Crashes at startup
Summary: Dolphin Crashes at startup
Status: RESOLVED FIXED
Alias: None
Product: nepomuk
Classification: Unclassified
Component: libnepomukcore (show other bugs)
Version: 4.6
Platform: Fedora RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Sebastian Trueg
URL:
Keywords:
: 278185 287201 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-04-12 09:08 UTC by Luis Lain
Modified: 2012-12-30 19:12 UTC (History)
6 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Luis Lain 2011-04-12 09:08:18 UTC
Application: dolphin (1.6.1)
KDE Platform Version: 4.6.1 (4.6.1)
Qt Version: 4.7.1
Operating System: Linux 2.6.35.11-83.fc14.x86_64 x86_64
Distribution: "Fedora release 14 (Laughlin)"

-- Information about the crash:
- What I was doing when the application crashed:

Just starting the system it crash as it was opened in the last session before closing.

-- Backtrace:
Application: Dolphin (dolphin), signal: Segmentation fault
87	  int result = INLINE_SYSCALL (poll, 3, CHECK_N (fds, nfds), nfds, timeout);
[Current thread is 1 (Thread 0x7fb19bfd5840 (LWP 2292))]

Thread 2 (Thread 0x7fb190c09700 (LWP 2403)):
[KCrash Handler]
#6  0x00000030dd46e17c in QMutex::lock (this=0x24e2f98) at thread/qmutex.cpp:151
#7  0x0000003e4385083c in QMutexLocker (this=0x7fb18c0024a0) at /usr/include/QtCore/qmutex.h:102
#8  Soprano::Error::ErrorCache::clearError (this=0x7fb18c0024a0) at /usr/src/debug/soprano-2.6.0/soprano/error.cpp:238
#9  0x0000003e43850ad0 in Soprano::Error::ErrorCache::setError (this=0x7fb18c0024a0, error=...) at /usr/src/debug/soprano-2.6.0/soprano/error.cpp:225
#10 0x0000003e446372f1 in Soprano::Client::DBusModel::executeQuery (this=0x7fb18c002490, query=<value optimized out>, language=<value optimized out>, userQueryLanguage=<value optimized out>) at /usr/src/debug/soprano-2.6.0/client/dbus/dbusmodel.cpp:108
#11 0x0000003e44a52094 in Nepomuk::MainModel::executeQuery (this=0x27d23f0, query=..., language=Soprano::Query::QueryLanguageSparql, userQueryLanguage=...) at /usr/src/debug/kdelibs-4.6.1/nepomuk/core/nepomukmainmodel.cpp:212
#12 0x0000003e4385c1ac in Soprano::FilterModel::executeQuery (this=0x27d27f0, query=<value optimized out>, language=<value optimized out>, userQueryLanguage=<value optimized out>) at /usr/src/debug/soprano-2.6.0/soprano/filtermodel.cpp:164
#13 0x0000003e44a471ac in Nepomuk::ResourceData::load (this=0x7fb18c002110) at /usr/src/debug/kdelibs-4.6.1/nepomuk/core/resourcedata.cpp:381
#14 0x0000003e44a4796c in Nepomuk::ResourceData::property (this=0x7fb18c002110, uri=...) at /usr/src/debug/kdelibs-4.6.1/nepomuk/core/resourcedata.cpp:240
#15 0x0000003e44a5ba13 in Nepomuk::Resource::property (this=0x7fb190c08ac0, uri=...) at /usr/src/debug/kdelibs-4.6.1/nepomuk/core/resource.cpp:295
#16 0x0000003e44a5e0a3 in Nepomuk::Resource::rating (this=0x7fb190c08ac0) at /usr/src/debug/kdelibs-4.6.1/nepomuk/core/resource.cpp:814
#17 0x0000003e44214b77 in KLoadFileMetaDataThread::run (this=0x2930c50) at /usr/src/debug/kdelibs-4.6.1/kio/kfile/kloadfilemetadatathread.cpp:107
#18 0x00000030dd4726ee in QThreadPrivate::start (arg=0x2930c50) at thread/qthread_unix.cpp:285
#19 0x0000003d41e06ccb in start_thread (arg=0x7fb190c09700) at pthread_create.c:301
#20 0x0000003d416e0c2d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 1 (Thread 0x7fb19bfd5840 (LWP 2292)):
#0  0x0000003d416d7283 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=<value optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x0000003d44208b6a in ?? () from /usr/lib64/libxcb.so.1
#2  0x0000003d442090b3 in ?? () from /usr/lib64/libxcb.so.1
#3  0x0000003d44209144 in xcb_writev () from /usr/lib64/libxcb.so.1
#4  0x0000003e3ac4d556 in _XSend (dpy=0x251ed40, data=<value optimized out>, size=<value optimized out>) at xcb_io.c:427
#5  0x0000003e3ac39bb7 in SendZImage (dpy=0x251ed40, d=52428822, gc=0x29c6e40, image=0x29c6db0, req_xoffset=0, req_yoffset=<value optimized out>, x=0, y=0, req_width=198, req_height=22, dest_bits_per_pixel=32, dest_scanline_pad=32) at PutImage.c:802
#6  PutImageRequest (dpy=0x251ed40, d=52428822, gc=0x29c6e40, image=0x29c6db0, req_xoffset=0, req_yoffset=<value optimized out>, x=0, y=0, req_width=198, req_height=22, dest_bits_per_pixel=32, dest_scanline_pad=32) at PutImage.c:870
#7  PutSubImage (dpy=0x251ed40, d=52428822, gc=0x29c6e40, image=0x29c6db0, req_xoffset=0, req_yoffset=<value optimized out>, x=0, y=0, req_width=198, req_height=22, dest_bits_per_pixel=32, dest_scanline_pad=32) at PutImage.c:908
#8  0x0000003e3ac39d9d in XPutImage (dpy=0x251ed40, d=52430402, gc=0x29c6e40, image=0x29c6db0, req_xoffset=0, req_yoffset=<value optimized out>, x=0, y=0, req_width=198, req_height=22) at PutImage.c:1027
#9  0x0000003e3f2a326b in QX11PixmapData::fromImage (this=0x29c6d20, img=<value optimized out>, flags=...) at image/qpixmap_x11.cpp:612
#10 0x0000003e3f28e8cf in QPixmap::fromImage (image=..., flags=...) at image/qpixmap.cpp:2033
#11 0x0000003e3f2e9eed in QPaintEngine::drawImage (this=0x285ea60, r=..., image=..., sr=<value optimized out>, flags=<value optimized out>) at painting/qpaintengine.cpp:623
#12 0x0000003e3f3b28c2 in QX11PaintEngine::drawImage (this=0x285ea60, r=..., image=..., sr=..., flags=...) at painting/qpaintengine_x11.cpp:1903
#13 0x0000003e3f2fec15 in QPainterPrivate::draw_helper (this=0x29c1240, originalPath=<value optimized out>, op=<value optimized out>) at painting/qpainter.cpp:497
#14 0x0000003e3f301041 in QPainter::fillPath (this=0x7fff61efda50, path=..., brush=...) at painting/qpainter.cpp:3336
#15 0x00007fb1958aa5ff in ?? () from /usr/lib64/kde4/plugins/styles/qtcurve.so
#16 0x00007fb1958ae39d in ?? () from /usr/lib64/kde4/plugins/styles/qtcurve.so
#17 0x00007fb1958aee6d in ?? () from /usr/lib64/kde4/plugins/styles/qtcurve.so
#18 0x00007fb1958b185b in ?? () from /usr/lib64/kde4/plugins/styles/qtcurve.so
#19 0x00007fb1958b4c41 in ?? () from /usr/lib64/kde4/plugins/styles/qtcurve.so
#20 0x00007fb1958d1986 in ?? () from /usr/lib64/kde4/plugins/styles/qtcurve.so
#21 0x0000003e3f4c2d32 in QCommonStyle::drawControl (this=0x25434a0, element=QStyle::CE_ProgressBar, opt=0x7fff61efd9f0, p=0x7fff61efda50, widget=0x26ec650) at styles/qcommonstyle.cpp:1398
#22 0x00007fb1958c8f54 in ?? () from /usr/lib64/kde4/plugins/styles/qtcurve.so
#23 0x0000003e3f5fdf33 in drawControl (this=0x26ec650) at ../../src/gui/painting/qstylepainter.h:89
#24 QProgressBar::paintEvent (this=0x26ec650) at widgets/qprogressbar.cpp:396
#25 0x0000003e3f208f9a in QWidget::event (this=0x26ec650, event=0x7fff61efe310) at kernel/qwidget.cpp:8346
#26 0x0000003e3f5feaec in QProgressBar::event (this=0x26ec650, e=0x7fff61efe310) at widgets/qprogressbar.cpp:562
#27 0x0000003e3f1b78c4 in QApplicationPrivate::notify_helper (this=0x24f1940, receiver=0x26ec650, e=0x7fff61efe310) at kernel/qapplication.cpp:4445
#28 0x0000003e3f1bc3da in QApplication::notify (this=<value optimized out>, receiver=0x26ec650, e=0x7fff61efe310) at kernel/qapplication.cpp:4324
#29 0x0000003e42240466 in KApplication::notify (this=0x7fff61f020e0, receiver=0x26ec650, event=0x7fff61efe310) at /usr/src/debug/kdelibs-4.6.1/kdeui/kernel/kapplication.cpp:311
#30 0x00000030dd55b7ac in QCoreApplication::notifyInternal (this=0x7fff61f020e0, receiver=0x26ec650, event=0x7fff61efe310) at kernel/qcoreapplication.cpp:732
#31 0x0000003e3f205e68 in sendSpontaneousEvent (this=0x26edc50, pdev=0x26f1598, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x26f0f70) at ../../src/corelib/kernel/qcoreapplication.h:218
#32 QWidgetPrivate::drawWidget (this=0x26edc50, pdev=0x26f1598, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x26f0f70) at kernel/qwidget.cpp:5433
#33 0x0000003e3f206a2f in QWidgetPrivate::paintSiblingsRecursive (this=0x26e74f0, pdev=0x26f1598, siblings=<value optimized out>, index=<value optimized out>, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x26f0f70) at kernel/qwidget.cpp:5640
#34 0x0000003e3f205baa in QWidgetPrivate::drawWidget (this=0x26e74f0, pdev=0x26f1598, rgn=..., offset=..., flags=<value optimized out>, sharedPainter=0x0, backingStore=0x26f0f70) at kernel/qwidget.cpp:5486
#35 0x0000003e3f206a2f in QWidgetPrivate::paintSiblingsRecursive (this=0x2679340, pdev=0x26f1598, siblings=<value optimized out>, index=<value optimized out>, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x26f0f70) at kernel/qwidget.cpp:5640
#36 0x0000003e3f205baa in QWidgetPrivate::drawWidget (this=0x2679340, pdev=0x26f1598, rgn=..., offset=..., flags=<value optimized out>, sharedPainter=0x0, backingStore=0x26f0f70) at kernel/qwidget.cpp:5486
#37 0x0000003e3f206a2f in QWidgetPrivate::paintSiblingsRecursive (this=0x2668950, pdev=0x26f1598, siblings=<value optimized out>, index=<value optimized out>, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x26f0f70) at kernel/qwidget.cpp:5640
#38 0x0000003e3f205baa in QWidgetPrivate::drawWidget (this=0x2668950, pdev=0x26f1598, rgn=..., offset=..., flags=<value optimized out>, sharedPainter=0x0, backingStore=0x26f0f70) at kernel/qwidget.cpp:5486
#39 0x0000003e3f206a2f in QWidgetPrivate::paintSiblingsRecursive (this=0x24fd5b0, pdev=0x26f1598, siblings=<value optimized out>, index=<value optimized out>, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x26f0f70) at kernel/qwidget.cpp:5640
#40 0x0000003e3f205baa in QWidgetPrivate::drawWidget (this=0x24fd5b0, pdev=0x26f1598, rgn=..., offset=..., flags=<value optimized out>, sharedPainter=0x0, backingStore=0x26f0f70) at kernel/qwidget.cpp:5486
#41 0x0000003e3f206a2f in QWidgetPrivate::paintSiblingsRecursive (this=0x25c5ae0, pdev=0x26f1598, siblings=<value optimized out>, index=<value optimized out>, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x26f0f70) at kernel/qwidget.cpp:5640
#42 0x0000003e3f2068ec in QWidgetPrivate::paintSiblingsRecursive (this=0x25c5ae0, pdev=0x26f1598, siblings=..., index=11, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x26f0f70) at kernel/qwidget.cpp:5627
#43 0x0000003e3f205baa in QWidgetPrivate::drawWidget (this=0x25c5ae0, pdev=0x26f1598, rgn=..., offset=..., flags=<value optimized out>, sharedPainter=0x0, backingStore=0x26f0f70) at kernel/qwidget.cpp:5486
#44 0x0000003e3f3c8fe9 in QWidgetBackingStore::sync (this=0x26f0f70) at painting/qbackingstore.cpp:1333
#45 0x0000003e3f1fc1b0 in QWidgetPrivate::syncBackingStore (this=0x25c5ae0) at kernel/qwidget.cpp:1816
#46 0x0000003e3f2094a2 in QWidget::event (this=0x258aad0, event=0x7fff61f008b0) at kernel/qwidget.cpp:8493
#47 0x0000003e3f5cd58b in QMainWindow::event (this=0x258aad0, event=0x7fff61f008b0) at widgets/qmainwindow.cpp:1478
#48 0x0000003e4233f2a3 in KXmlGuiWindow::event (this=0x258aad0, ev=0x7fff61f008b0) at /usr/src/debug/kdelibs-4.6.1/kdeui/xmlgui/kxmlguiwindow.cpp:126
#49 0x0000003e3f1b78c4 in QApplicationPrivate::notify_helper (this=0x24f1940, receiver=0x258aad0, e=0x7fff61f008b0) at kernel/qapplication.cpp:4445
#50 0x0000003e3f1bc3da in QApplication::notify (this=<value optimized out>, receiver=0x258aad0, e=0x7fff61f008b0) at kernel/qapplication.cpp:4324
#51 0x0000003e42240466 in KApplication::notify (this=0x7fff61f020e0, receiver=0x258aad0, event=0x7fff61f008b0) at /usr/src/debug/kdelibs-4.6.1/kdeui/kernel/kapplication.cpp:311
#52 0x00000030dd55b7ac in QCoreApplication::notifyInternal (this=0x7fff61f020e0, receiver=0x258aad0, event=0x7fff61f008b0) at kernel/qcoreapplication.cpp:732
#53 0x0000003e3f3c4dd9 in sendEvent (this=<value optimized out>, rect=<value optimized out>, widget=<value optimized out>, updateImmediately=true, invalidateBuffer=<value optimized out>) at ../../src/corelib/kernel/qcoreapplication.h:215
#54 sendUpdateRequest (this=<value optimized out>, rect=<value optimized out>, widget=<value optimized out>, updateImmediately=true, invalidateBuffer=<value optimized out>) at painting/qbackingstore.cpp:507
#55 QWidgetBackingStore::markDirty (this=<value optimized out>, rect=<value optimized out>, widget=<value optimized out>, updateImmediately=true, invalidateBuffer=<value optimized out>) at painting/qbackingstore.cpp:695
#56 0x0000003e3f1fba18 in QWidget::repaint (this=0x26ec650, rect=...) at kernel/qwidget.cpp:10250
#57 0x0000003e3f1fbad3 in QWidget::repaint (this=<value optimized out>) at kernel/qwidget.cpp:10206
#58 0x0000003e42c5a405 in ?? () from /usr/lib64/libkdeinit4_dolphin.so
#59 0x0000003e42c3bf88 in ?? () from /usr/lib64/libkdeinit4_dolphin.so
#60 0x0000003e42c3dd1b in ?? () from /usr/lib64/libkdeinit4_dolphin.so
#61 0x00000030dd57004f in QMetaObject::activate (sender=0x268a860, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x7fff61f00bf0) at kernel/qobject.cpp:3272
#62 0x0000003e4410faf1 in KDirLister::percent (this=<value optimized out>, _t1=100) at /usr/src/debug/kdelibs-4.6.1/x86_64-redhat-linux-gnu/kio/kdirlister.moc:316
#63 0x0000003e44111bbb in KDirLister::Private::_k_slotPercent (this=0x268ac00, job=<value optimized out>, pcnt=<value optimized out>) at /usr/src/debug/kdelibs-4.6.1/kio/kio/kdirlister.cpp:2543
#64 0x0000003e44111fb5 in KDirLister::qt_metacall (this=0x268a860, _c=QMetaObject::InvokeMetaMethod, _id=21, _a=0x7fff61f00e00) at /usr/src/debug/kdelibs-4.6.1/x86_64-redhat-linux-gnu/kio/kdirlister.moc:151
#65 0x0000003e3cc3fc20 in DolphinDirLister::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib64/libdolphinprivate.so.4
#66 0x00000030dd57004f in QMetaObject::activate (sender=0x2678ac0, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x7fff61f00e00) at kernel/qobject.cpp:3272
#67 0x0000003e3ff375ab in KJob::percent (this=<value optimized out>, _t1=0x2678ac0, _t2=100) at /usr/src/debug/kdelibs-4.6.1/x86_64-redhat-linux-gnu/kdecore/kjob.moc:250
#68 0x0000003e3ff37d8d in KJob::setProcessedAmount (this=0x2678ac0, unit=KJob::Bytes, amount=<value optimized out>) at /usr/src/debug/kdelibs-4.6.1/kdecore/jobs/kjob.cpp:268
#69 0x0000003e440fa291 in KIO::ListJobPrivate::slotListEntries (this=0x26787b0, list=<value optimized out>) at /usr/src/debug/kdelibs-4.6.1/kio/kio/job.cpp:2427
#70 0x0000003e440fac7a in KIO::ListJob::qt_metacall (this=0x2678ac0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff61f011d0) at /usr/src/debug/kdelibs-4.6.1/x86_64-redhat-linux-gnu/kio/jobclasses.moc:821
#71 0x00000030dd57004f in QMetaObject::activate (sender=0x27dbf00, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x7fff61f011d0) at kernel/qobject.cpp:3272
#72 0x0000003e4419b025 in KIO::SlaveInterface::listEntries (this=<value optimized out>, _t1=<value optimized out>) at /usr/src/debug/kdelibs-4.6.1/x86_64-redhat-linux-gnu/kio/slaveinterface.moc:185
#73 0x0000003e4419d9fc in KIO::SlaveInterface::dispatch (this=<value optimized out>, _cmd=<value optimized out>, rawdata=...) at /usr/src/debug/kdelibs-4.6.1/kio/kio/slaveinterface.cpp:191
#74 0x0000003e4419a9a3 in KIO::SlaveInterface::dispatch (this=<value optimized out>) at /usr/src/debug/kdelibs-4.6.1/kio/kio/slaveinterface.cpp:89
#75 0x0000003e4418e146 in KIO::Slave::gotInput (this=0x27dbf00) at /usr/src/debug/kdelibs-4.6.1/kio/kio/slave.cpp:348
#76 0x0000003e4418e75c in KIO::Slave::qt_metacall (this=0x27dbf00, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff61f015f0) at /usr/src/debug/kdelibs-4.6.1/x86_64-redhat-linux-gnu/kio/slave.moc:82
#77 0x00000030dd57004f in QMetaObject::activate (sender=0x27d7f00, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x0) at kernel/qobject.cpp:3272
#78 0x0000003e440c56b7 in KIO::ConnectionPrivate::dequeue (this=0x28265e0) at /usr/src/debug/kdelibs-4.6.1/kio/kio/connection.cpp:82
#79 0x0000003e440c576d in KIO::Connection::qt_metacall (this=0x27d7f00, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x2988aa0) at /usr/src/debug/kdelibs-4.6.1/x86_64-redhat-linux-gnu/kio/connection.moc:79
#80 0x00000030dd56fb4a in QObject::event (this=0x27d7f00, e=<value optimized out>) at kernel/qobject.cpp:1211
#81 0x0000003e3f1b78c4 in QApplicationPrivate::notify_helper (this=0x24f1940, receiver=0x27d7f00, e=0x2979080) at kernel/qapplication.cpp:4445
#82 0x0000003e3f1bc3da in QApplication::notify (this=<value optimized out>, receiver=0x27d7f00, e=0x2979080) at kernel/qapplication.cpp:4324
#83 0x0000003e42240466 in KApplication::notify (this=0x7fff61f020e0, receiver=0x27d7f00, event=0x2979080) at /usr/src/debug/kdelibs-4.6.1/kdeui/kernel/kapplication.cpp:311
#84 0x00000030dd55b7ac in QCoreApplication::notifyInternal (this=0x7fff61f020e0, receiver=0x27d7f00, event=0x2979080) at kernel/qcoreapplication.cpp:732
#85 0x00000030dd55ef95 in sendEvent (receiver=0x0, event_type=0, data=0x24c98c0) at kernel/qcoreapplication.h:215
#86 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x24c98c0) at kernel/qcoreapplication.cpp:1373
#87 0x00000030dd586723 in sendPostedEvents (s=0x24f8680) at kernel/qcoreapplication.h:220
#88 postEventSourceDispatch (s=0x24f8680) at kernel/qeventdispatcher_glib.cpp:277
#89 0x0000003d43641e33 in g_main_dispatch (context=0x24f7920) at gmain.c:2149
#90 g_main_context_dispatch (context=0x24f7920) at gmain.c:2702
#91 0x0000003d43642610 in g_main_context_iterate (context=0x24f7920, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2780
#92 0x0000003d436428ad in g_main_context_iteration (context=0x24f7920, may_block=1) at gmain.c:2843
#93 0x00000030dd5868bf in QEventDispatcherGlib::processEvents (this=0x24c9400, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:415
#94 0x0000003e3f25c59e in QGuiEventDispatcherGlib::processEvents (this=<value optimized out>, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:207
#95 0x00000030dd55ab42 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#96 0x00000030dd55ad8c in QEventLoop::exec (this=0x7fff61f02020, flags=...) at kernel/qeventloop.cpp:201
#97 0x00000030dd55f24b in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#98 0x0000003e42c42d35 in kdemain () from /usr/lib64/libkdeinit4_dolphin.so
#99 0x0000003d4161ee5d in __libc_start_main (main=0x400890 <_start+256>, argc=3, ubp_av=0x7fff61f02608, init=<value optimized out>, fini=<value optimized out>, rtld_fini=<value optimized out>, stack_end=0x7fff61f025f8) at libc-start.c:226
#100 0x00000000004007b9 in _start ()

This bug may be a duplicate of or related to bug 235166.

Possible duplicates by query: bug 265809, bug 260745, bug 252886, bug 250530, bug 248228.

Reported using DrKonqi
Comment 1 Dario Andres 2011-04-17 00:17:23 UTC
[Comment from a bug triager]
This seems related to bug 245266 / bug 234994
Comment 2 Christoph Feck 2011-08-03 23:12:32 UTC
*** Bug 278185 has been marked as a duplicate of this bug. ***
Comment 3 Vishesh Handa 2012-08-02 07:07:11 UTC
*** Bug 287201 has been marked as a duplicate of this bug. ***
Comment 4 Vishesh Handa 2012-12-30 19:12:16 UTC
This crash seems to be caused by a threading issue with Nepomuk::Resource when being used in the KLoadFileMetaDataThread. This thread was removed with 4.7 (or 4.8?) and instead a multi-process architecture was chosen for the KFileMetadataWidget.